/* Import Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Cinzel&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');

/* Global Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Header */
header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


/* this is the hamburger menu formatting, makes point on
 * hover and changes to the "close" icon when opened */
.toggle {
    position: relative;
    width: 60px;
    height: 60px;
    background: url(images/menu.png) no-repeat center;
    background-size: 30px;
    cursor: pointer;
}

.toggle.active {
    background: url(images/close.png) no-repeat center;
    background-size: 25px;
    cursor: pointer;
}


/* Showcase Section */
.showcase {
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #fff;
    transition: 0.5s;
    z-index: 2;
}

/* this piece allows the menu to slide in*/
.showcase.active {
    right: 300px;
}

/* makes showcase video fit on the screen under the overlay*/
.showcase video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}

/* this piece controls formatting to allow things to sit on top
 * of the showcase video */
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #181825;
    mix-blend-mode: multiply;
}

.text {
    position: relative;
    z-index: 10;
}

/* overlay text styles, update to Jenson SC for all Cinzel once format is finalized */
.text h1 {
    font-family: 'Cinzel', serif;
    font-size: 5.5em;
    font-weight: 800;
    color: #DF9451;
    line-height: 1em;
}

.text h2 {
    font-family: 'Raleway', sans-serif;
    font-size: 5em;
    font-weight: 800;
    color: #DF9451;
    line-height: 1em;
}

.text h3 {
    font-family: 'Cinzel', serif;
    font-size: 2em;
    font-weight: 700;
    color: #fff;
    line-height: 1em;
    text-transform: none;
}

.text p {
    font-family: 'Raleway', sans-serif;
    font-size: 1.5em;
    color: #fff;
    margin: 40px 0;
    font-weight: 400;
    max-width: 700px;
}

/* controls formatting of button underneath blurb */
.text a {
    font-family: 'Raleway', sans-serif;
    display: inline-block;
    font-size: 1em;
    background: #fff;
    padding: 10px 30px;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    margin-top: 10px;
    color: #111;
    letter-spacing: 2px;
    transition: 0.2s;
}

/* expands the lettering on button on hover*/
.text a:hover {
    letter-spacing: 6px;
}

/* Social Icons, any images used must be 41x41 px in order to load correctly 
 * if you want them to change color on hover, convert to svg or use two
 * sets of images for effect */
.social {
    position: absolute;
    z-index: 10;
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social li {
    list-style: none;
}

.social li a {
    display: inline-block;
    margin-right: 20px;
    filter: invert(1);
    transform: scale(0.9);
    transition: 0.5s;
}

.social li a:hover {
    transform: scale(1) translateY(-15px);
    cursor: pointer;
}

/* Menu */
.menu {
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu ul {
    position: relative;
}

.menu ul li {
    list-style: none;

}

/* controls look and feel of floating menu items on right hand side */
.menu ul li a {
    font-family: "Raleway", arial, sans-serif;
    text-decoration: none;
    font-size: 24px;
    color: #181825;
    transition: color 0.3s ease-in-out;
}

.menu ul li a:hover {
    color: #DF9451;
}

/* Media Query */
@media (max-width: 991px) {
    .showcase,
    .showcase header {
        padding: 40px;
    }

    .text h2 {
        font-size: 3em;
    }

    .text h3 {
        font-size: 2em;
    }
}
